/*******************************************************************************
 *	@file			DLGraph.h
 *	@brief			DirectX Library
 *
 *	@date			21-Apr-2010(Wed)
 ******************************************************************************/

#ifndef	__DLGRAPH_INCLUDE__
#define	__DLGRAPH_INCLUDE__

// vvZbT---------------------------------------------------------------
#include "DL.h"

#ifdef __cplusplus
extern "C" {
#endif

/*******************************************************************************
 *	@namespace	DL
 ******************************************************************************/
namespace	DL
{

// 萔`---------------------------------------------------------------------
#pragma once

// 񋓌^`-------------------------------------------------------------------

// \̒`-------------------------------------------------------------------

// NX-----------------------------------------------------------------------
/*******************************************************************************
 *	@class		CDLGraph		DLGraph.h			"DLGraph.h"
 *	@brief		CDLGraphNX
 ******************************************************************************/
class CDLGraph
{
// 萔`---------------------------------------------------------------------
private:
protected:
public:

// o֐-------------------------------------------------------------------
private:
	BOOL SetViewPort( const SDLParam& SDL );									//!< r[|[g̐ݒ
	BOOL DeviceRestore( const HRESULT& hRes );									//!< foCX̕

protected:
public:
	CDLGraph( void );
	~CDLGraph( void );

	int Init( const SDLParam& SDL );											//!< 
	int End( void );															//!< I

	int Update( void );															//!< ʍXV

	int ChangeDisplay( const SDLParam& SDL );									//!< ʐ؂ւ

// oϐ-------------------------------------------------------------------
private:
	LPDIRECT3D9				m_lpD3D;											//!< Direct3D IuWFNg
	LPDIRECT3DDEVICE9		m_lpD3DDev;											//!< Direct3D foCX

	HWND					m_hWnd;												//!< EChEnh
	D3DPRESENT_PARAMETERS	m_D3DPP;											//!< foCX\
	D3DDISPLAYMODE			m_D3DDM;											//!< fBXvC̏
	D3DVIEWPORT9			m_D3DVP;											//!< r[|[g\


protected:
public:

};

// OO[oϐ---------------------------------------------------------

// O֐vg^Cv錾---------------------------------------------------

}	// namespace	DL

#ifdef __cplusplus
}
#endif

#endif	// __DLGRAPH_INCLUDE__
